Bug 621185 - Compliance message: shows up the system as compliant for an unregistered or a system with no product certificates
Summary: Compliance message: shows up the system as compliant for an unregistered or a...
Status: CLOSED NOTABUG
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
(Show other bugs)
Version: 0.5
Hardware: All Linux
low
medium
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: wes hayutin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-04 13:31 UTC by Sudhir D
Modified: 2015-05-14 15:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-07 21:23:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sudhir D 2010-08-04 13:31:44 UTC
Description of problem:
The compliance message shows up the system as compliant for an unregistered or a system with no product certificates.

Version-Release number of selected component (if applicable):
subscription-manager-0.74-1.el6

How reproducible:
Always

Steps to Reproduce:
1. Install the sm
2. Run the system compliance command (rhsm-compliance-icon -c 10 -d)
3. Check the message output at python src/compliance/rhsm_compliance_d.py -d -k
  
Actual results:
System appears compliant

Expected results:
Should show something like you have no installed products

Additional info:

Comment 1 Bryan Kearney 2010-08-17 19:04:40 UTC
This is consistent with the UI. I will add a backlog item for this, but treat it "as designed" for now.


Note You need to log in before you can comment on or make changes to this bug.